--- title: "Allow Malware Archive File" slug: "allow-malware-archive-file" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:02Z published: 2026-09-23T09:35:02Z canonical: "docs.trellix.com/allow-malware-archive-file" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Allow Malware Archive File This URL adds the file hash to the allow list. ## Resource URL PUT /malwarearchive/action ## Request Parameters Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | fileHash | Holds the hash value of the filename | String | Yes | | action | Action to be taken ''ALLOW" | String | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Status returned by updation | Number | ## Example **Request** PUT [https://%3CNSM_IP%3E/sdkapi/malwarearchive/action](https://%3CNSM_IP%3E/sdkapi/malwarearchive/action) Payload: ``` { "fileHash":" 0bea3f79a36b1f67b2ce0f595524c77c", "action":"ALLOW" } ``` **Response** ``` { "status":1 } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error | | 2 | 400 | 3401 | Invalid file hash value |